*, *::before, *::after {
    -webkit-box-sizing: content-box;
            box-sizing: content-box;
    padding: 0;
    margin: 0;
  }
  
  
  .modal{
    background-color: rgba(0, 0, 0, 0.6);
    width: 100%;
    height: 100vh;
    position: fixed;
    z-index: 999;
    top: 0;
    display: none;
    -webkit-box-align: center;
        -ms-flex-align: center;
            align-items: center;
    -webkit-box-pack: center;
        -ms-flex-pack: center;
            justify-content: center;
    }
  
    .contenedor-modal{
      border-radius: 10px;
      display: -webkit-box;
      display: -ms-flexbox;
      display: flex;
      width: 90%;
      background-color: white;
      height: 90vh;
      position: relative;
      -webkit-box-orient: vertical;
      -webkit-box-direction: normal;
          -ms-flex-direction: column;
              flex-direction: column;
      -webkit-box-pack: space-evenly;
          -ms-flex-pack: space-evenly;
              justify-content: space-evenly;
    }
    .modal-info{ 
      
      display: -webkit-box;
      display: -ms-flexbox;
      display: flex;
      -webkit-box-orient: vertical;
      -webkit-box-direction: normal;
          -ms-flex-direction: column;
              flex-direction: column;
      -webkit-box-pack: space-evenly;
          -ms-flex-pack: space-evenly;
              justify-content: space-evenly;
      height: 50%;
     
    }
  
    .titulo-info{
      margin-top: 3vh;
      display: -webkit-box;
      display: -ms-flexbox;
      display: flex;
      -webkit-box-pack: center;
          -ms-flex-pack: center;
              justify-content: center;
      -webkit-box-align: center;
          -ms-flex-align: center;
              align-items: center;
    }
  
    .img-info{
      margin-top: 1.5vh;
      margin-bottom: 4vh;
      height: 80%;
      width: 100%;
      display: -webkit-box;
      display: -ms-flexbox;
      display: flex;
      -webkit-box-align: center;
          -ms-flex-align: center;
              align-items: center;
      -webkit-box-pack: center;
          -ms-flex-pack: center;
              justify-content: center;
    }
    .contenedor-titulo-ubicacion{
      display: -webkit-box;
      display: -ms-flexbox;
      display: flex;
      height: 100%;
      -webkit-box-orient: vertical;
      -webkit-box-direction: normal;
          -ms-flex-direction: column;
              flex-direction: column;
      -webkit-box-align: center;
          -ms-flex-align: center;
              align-items: center;
    }
    .modal-ubicacion{
      grid-area: ubicacion;
      width: 100%;
      height: 40%;
      display: -webkit-box;
      display: -ms-flexbox;
      display: flex;
      -webkit-box-orient: vertical;
      -webkit-box-direction: normal;
          -ms-flex-direction: column;
              flex-direction: column;
      -webkit-box-pack: center;
          -ms-flex-pack: center;
              justify-content: center;
    }
  
    .modal-img{
      width: 90%;
      height: 100%;
      -o-object-fit: contain;
         object-fit: contain;
    }
  
    .close{
      position: absolute;
      right: 10px;
      top: 0;
      width: 2%;
      height: 4vh;
      border: none;
      background-color: transparent;
      font-size: 1.5rem;
    }
    .modal-titulo-info{
        margin-top: 5vh;
      text-align: center;
      width: 80%;
      
    }
    .p-titulo-ubicacion{
      
      background-color: #4e3172;
      color: #ffffff;
      text-decoration: none;
      padding: 10px 30px;
      font-size: 20px;
      border-radius: 10px;
      border: 1px solid #4e3172;
      letter-spacing: 2px;
      font-family: 'Amaranth', sans-serif;
      -webkit-transition: 0.5s;
      -o-transition: 0.5s;
      transition: 0.5s;
    }
    .p-titulo-ubicacion:hover{
      background-color: #a945c7;
      color: #ffffff;
      -webkit-box-shadow: 0 0 10px #4e3172, 0 0 40px #4e3172,
      0 0 80px #4e3172;
              box-shadow: 0 0 10px #4e3172, 0 0 40px #4e3172,
      0 0 80px #4e3172;
      -webkit-transition: 2s;
      -o-transition: 2s;
      transition: 2s;
    }
  
    .modal-titulo-info h1{
      text-align: center;
      font-size: 1.5rem;
      font-family: 'Amaranth', sans-serif;
      color: #521b60;
    }
  
    .modal-titulo-info h3{
      text-align: center;
      font-size: 0.9rem;
      font-family: 'Amaranth', sans-serif;
      color: #f72ef7;
    }
  
    .h2-titulo-ubicacion{
      text-align: center;
      font-size: 1.5rem;
      font-family: 'Amaranth', sans-serif;
      color: #521b60;
      margin-top: 2vh;
      margin-bottom: 2vh;
    }
    .modal-video{
      width: 75%;
      height: 90%;
      border-radius: 15px;
    }
    .img-ubicacion{
      
     
      width: 100%;
      display: -webkit-box;
      display: -ms-flexbox;
      display: flex;
      -webkit-box-pack: center;
          -ms-flex-pack: center;
              justify-content: center;
      -webkit-box-align: center;
          -ms-flex-align: center;
              align-items: center;
    }
  
  @media screen and (min-width: 980px) {
    
    .modal{
    background-color: rgba(0, 0, 0, 0.6);
    width: 100%;
    height: 100vh;
    position: fixed;
    z-index: 999;
    top: 0;
    display: -webkit-box;
    display: -ms-flexbox;
    display: flex;
    -webkit-box-align: center;
        -ms-flex-align: center;
            align-items: center;
    -webkit-box-pack: center;
        -ms-flex-pack: center;
            justify-content: center;
    display: none;
    }
  
    .contenedor-modal{
      width: 80%;
      background-color: white;
      height: 90vh;
      position: relative;
      display: -ms-grid;
      display: grid;
      
          grid-template-areas:
      "info ubicacion";
      -ms-grid-columns: 50% 50%;
      grid-template-columns: 50% 50%;
      
    }
    .h2-titulo-ubicacion{
      margin-top: 1vh;
      font-size: 1.5rem;
      margin-bottom: 2vh;
      margin-top: 3vh;

      
    }
    .modal-titulo-info h1{
        
        font-size: 2rem;
       
      }
    
      .modal-titulo-info h3{
        
        font-size: 1.2rem;
        
      }
    .close{
      position: absolute;
      right: 0;
      top: 0;
      width: 2%;
      height: 4vh;
      border: none;
      background-color: transparent;
      font-size: 1.5rem;
    }
  
    .modal-info{ 
      grid-area: info;
      width: 100%;
      height: 100%;
      display: -webkit-box;
      display: -ms-flexbox;
      display: flex;
      -webkit-box-orient: vertical;
      -webkit-box-direction: normal;
          -ms-flex-direction: column;
              flex-direction: column;
      margin-top: 0;
      gap: 10px;
    }
  
    .titulo-info{
      display: -webkit-box;
      display: -ms-flexbox;
      display: flex;
      height: 25%;
      -webkit-box-pack: center;
          -ms-flex-pack: center;
              justify-content: center;
      -webkit-box-align: center;
          -ms-flex-align: center;
              align-items: center;
    }
  
    .modal-ubicacion{
      grid-area: ubicacion;
      width: 100%;
      height: 100%;
      display: -webkit-box;
      display: -ms-flexbox;
      display: flex;
      -webkit-box-orient: vertical;
      -webkit-box-direction: normal;
          -ms-flex-direction: column;
              flex-direction: column;
    }
    .modal-titulo-info{
        margin-top: 0vh;
      width: 60%;
      text-align: center;
    }
  
    .modal-logo-info{
      width: 15%;
      -o-object-fit: contain;
         object-fit: contain;
      height: 50%;
    }
  
    .img-info{
      width: 100%;
      height: 75%;
      display: -webkit-box;
      display: -ms-flexbox;
      display: flex;
      -webkit-box-align: center;
          -ms-flex-align: center;
              align-items: center;
      -webkit-box-pack: center;
          -ms-flex-pack: center;
              justify-content: center;
    }
  
    .modal-img{
      width: 90%;
      height: 90%;
      -o-object-fit: contain;
         object-fit: contain;
    }
  
    .titulo-ubicacion{
      height: 25%;
      width: 100%;
      display: -webkit-box;
      display: -ms-flexbox;
      display: flex;
      -webkit-box-orient: vertical;
      -webkit-box-direction: normal;
          -ms-flex-direction: column;
              flex-direction: column;
      -webkit-box-pack: center;
          -ms-flex-pack: center;
              justify-content: center;
      -webkit-box-align: center;
          -ms-flex-align: center;
              align-items: center;
    }
  
    .img-ubicacion{
      height: 75%;
      display: -webkit-box;
      display: -ms-flexbox;
      display: flex;
      -webkit-box-pack: center;
          -ms-flex-pack: center;
              justify-content: center;
      -webkit-box-align: center;
          -ms-flex-align: center;
          align-items: flex-start;
              
    }
  
    iframe{
      width: 80%;
      height: 90%;
    }
    .contenedor-titulo-ubicacion{
      height: 80%;
    }
    
  
    .p-titulo-ubicacion{
      text-align: center;
      font-size: 1.4rem;
    }
  
    .modal-video{
      width: 90%;
      height: 50%;
    }
  
    .modal-ubicacion{
      -ms-grid-row: 1;
      -ms-grid-column: 2;
      
    }
  }

  @media screen and (max-height: 770px){
    .img-ubicacion{
      height:50vh;
    }
    .img-info{
      height: 60vh;
    }
  
  

  
  
  
  }
  @media screen and (height: 667px){
    .img-info{
      height: 80%
  }
}
@media screen and (max-width: 540px) {
  .img-info{
    height: 80%;
  }

}

  
  @media screen and (min-width: 980px) {
  
    
  
    .modal-ubicacion{
      -ms-grid-row: 1;
      -ms-grid-column: 2;
      
    }
  }